# Segment Generation README

## Overview

This repository contains a set of scripts and data files to assist in the process of downloading videos from YouTube using links provided in the `Corpus_detail_sheet.csv` file, converting these videos to audio format, and generating segments based on provided metadata.

## Usage

Follow the steps below to use the provided scripts and files:

1. **Download Videos from YouTube**

    Use the `Corpus_detail_sheet.csv` file to download videos from YouTube using the links provided in the file. The downloaded videos will be saved with the names present in the file against each link.

2. **Convert Videos to Audio**

    Convert the downloaded videos to audio format with a sample rate of 16000Hz and a bit rate of 256kbps. You can use tools like FFmpeg for this purpose.

    ```bash
    ffmpeg -i input_video.mp4 -ar 16000 -b:a 256k output_audio.wav
    ```

3. **Segment Generation**

    Use the `tdf` files along with the generated WAV files and the provided `speakermapping.csv` and `channeltag.csv` files for segment generation. The `tdf` files contain start and end times of each segment, speaker information, and gender marking.

    - Speaker ID: Get the speaker ID for each segment from the `speakermapping.csv` file.
    - Channel Info: Retrieve information about the channel from which the audio is taken from the `Corpus_detail_sheet.csv` file.
    - Channel Tag: Get the channel tag of that channel from the `channeltag.csv` file.

4. **Segment Naming Convention**

    When generating segments, name each segment as follows:

    ```
    {Speaker_ID}_{Gender}_{Channel}_Segment_{Segment_Number}.wav
    ```

    - `{Speaker_ID}`: Speaker ID of the speaker in that segment.
    - `{Gender}`: Gender of the speaker.
    - `{Channel}`: Channel information.
    - `{Segment_Number}`: Number assigned to the segment.

